From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/docile/
Date: Thu, 8 Feb 2018 06:25:39 +0000 (UTC) [thread overview]
Message-ID: <1518071051.ac5a4c3fe835fe2759d2ef1b50d6e13715c79d80.graaff@gentoo> (raw)
commit: ac5a4c3fe835fe2759d2ef1b50d6e13715c79d80
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 8 05:03:44 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Feb 8 06:24:11 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac5a4c3f
dev-ruby/docile: add 1.3.0
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-ruby/docile/Manifest | 1 +
dev-ruby/docile/docile-1.3.0.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-ruby/docile/Manifest b/dev-ruby/docile/Manifest
index d57663ffb8c..ad84ee517ca 100644
--- a/dev-ruby/docile/Manifest
+++ b/dev-ruby/docile/Manifest
@@ -1,2 +1,3 @@
DIST docile-1.1.5.gem 14848 BLAKE2B a8689b3d1a23cac3f62c9fa5d6dd6425bd780a01ffaf96869a57d1bb0a7756b2d8242d77726ed7286e3405c0abc86644e6ac6b51722d120d4c541e4406d7de4d SHA512 3bdb2e42d83fd0050bf541d4dad0120180b63f80ab5ace1504ab7a12bd38397a89c74855437698267b4a87d72dd02dd4ab4ec365a2a4610828d2b100c2a9e3d4
DIST docile-1.2.0.gem 16896 BLAKE2B eadbf625fe1f26bb63cafdf2c30e53d0f7362e19baeac2ffaa8bb8ecc01453bdd7a5d1b5005bf60a892b6f48188f0d7d3e2a1d75b53cefddc206e11c0384982b SHA512 328ef09e4d9981aeaec8e3d97ed54a1806ca1de8e5a00b6f2b311e377fcb986eef1b7fbfa8a27992d235f93629a636fa20a5c347ae7310f325af7e4af88ebccc
+DIST docile-1.3.0.tar.gz 14120 BLAKE2B 4567905283779e76a2f29fbf40968119bab10959e87c7a4ce9cd35cc77c138704867c032116e7cb682325eb61690afa002b80018241aa330d5e84df20810c2ad SHA512 bfbacb5197ed384dac82111799ecd23f074dd6c70e978e12c0bf9a017cc815429005153c155c62e2c6b04016a8b19cd5e2c4f4af68c899d8273423a4e0992502
diff --git a/dev-ruby/docile/docile-1.3.0.ebuild b/dev-ruby/docile/docile-1.3.0.ebuild
new file mode 100644
index 00000000000..7a3ac945ae1
--- /dev/null
+++ b/dev-ruby/docile/docile-1.3.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md HISTORY.md"
+
+RUBY_FAKEGEM_GEMSPEC="docile.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Turns any Ruby object into a DSL"
+HOMEPAGE="https://ms-ati.github.io/docile/"
+SRC_URI="https://github.com/ms-ati/docile/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/require \"github\/markup\"/d' Rakefile || die
+ sed -i -e '/^unless on/,/^end/ s:^:#:' spec/spec_helper.rb || die
+
+ sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2018-02-08 6:25 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-02-08 6:25 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 11:52 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/docile/ Sam James
2024-10-06 11:12 Sam James
2024-08-07 12:09 Sam James
2024-08-07 12:09 Sam James
2024-08-07 12:09 Sam James
2024-08-07 12:09 Sam James
2024-08-07 12:09 Sam James
2024-07-26 5:41 Hans de Graaff
2024-06-25 3:52 Sam James
2024-06-25 3:51 Sam James
2024-02-13 7:17 Hans de Graaff
2023-09-10 14:27 Sam James
2023-09-10 4:42 Robin H. Johnson
2023-07-05 16:36 Hans de Graaff
2023-03-21 5:21 Hans de Graaff
2023-03-21 5:21 Hans de Graaff
2022-12-07 17:57 Hans de Graaff
2022-05-06 10:04 Hans de Graaff
2021-05-16 5:31 Hans de Graaff
2021-05-16 5:31 Hans de Graaff
2021-01-14 6:41 Hans de Graaff
2020-12-23 5:53 Hans de Graaff
2020-12-19 6:30 Hans de Graaff
2020-03-01 8:22 Hans de Graaff
2020-03-01 8:22 Hans de Graaff
2019-06-13 5:23 Hans de Graaff
2019-01-20 10:17 Hans de Graaff
2018-12-15 7:42 Hans de Graaff
2018-05-28 5:26 Hans de Graaff
2018-05-02 4:54 Hans de Graaff
2018-01-14 7:24 Hans de Graaff
2017-08-15 5:02 Hans de Graaff
2016-12-06 5:49 Hans de Graaff
2016-03-17 0:26 Manuel RĂ¼ger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1518071051.ac5a4c3fe835fe2759d2ef1b50d6e13715c79d80.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox